Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1487153 - Review Request: autoconf - A GNU tool for automatically configuring source code
Summary: Review Request: autoconf - A GNU tool for automatically configuring source code
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora Modules
Classification: Fedora
Component: Module Review
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1486812
Blocks: 1487275
TreeView+ depends on / blocked
 
Reported: 2017-08-31 10:37 UTC by Petr Pisar
Modified: 2017-09-01 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-01 14:23:12 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1487508 0 unspecified CLOSED Review Request: autotools - GNU Autotools (Autoconf and Automake) 2021-02-22 00:41:40 UTC

Internal Links: 1487508

Description Petr Pisar 2017-08-31 10:37:31 UTC
Modulemd URL: https://ppisar.fedorapeople.org/autoconf.yaml
Description:
        GNU's Autoconf is a tool for configuring source code and Makefiles.
        Using Autoconf, programmers can create portable and configurable
        packages, since the person building the package is allowed to
        specify various configuration options.

        You should install Autoconf if you are developing software and
        would like to create shell scripts that configure your source code
        packages. If you are installing Autoconf, you will also need to
        install the GNU m4 package.

        Note that the Autoconf package is not required for the end-user who
        may be configuring software with an Autoconf-generated script;
        Autoconf is only required for the generation of the scripts, not
        their use.

        This module has disabled support for Emacs.
Fedora Account System Username: ppisar

Comment 1 Karsten Hopp 2017-08-31 11:37:35 UTC
$ yamllint autoconf.yaml 
autoconf.yaml
  1:1       warning  missing document start "---"  (document-start)
  23:18     error    too many spaces inside brackets  (brackets)
  23:22     error    too many spaces inside brackets  (brackets)

Comment 2 Karsten Hopp 2017-08-31 11:40:23 UTC
After a second look, this module doesn't make much sense to me. autoconf belongs in the autotools module: https://bugzilla.redhat.com/show_bug.cgi?id=1484409

Comment 3 Petr Pisar 2017-08-31 11:46:23 UTC
(In reply to Karsten Hopp from comment #2)
> After a second look, this module doesn't make much sense to me. autoconf
> belongs in the autotools module:

What If I claim it does not? In my opinion Autoconf is independent from Automake or Libtool. And is it relevant? Are we going to dismiss modules just because the reviewer has no use for it?

Comment 4 Petr Pisar 2017-08-31 12:35:32 UTC
(In reply to Karsten Hopp from comment #1)
> $ yamllint autoconf.yaml 
> autoconf.yaml
>   1:1       warning  missing document start "---"  (document-start)
>   23:18     error    too many spaces inside brackets  (brackets)
>   23:22     error    too many spaces inside brackets  (brackets)

What's wrong with it?

        module: [ MIT ]

This is a completely valid flow sequence per YAML 1.2 specification <http://www.yaml.org/spec/1.2/spec.html#style/flow/sequence>.

Comment 5 Petr Pisar 2017-08-31 14:28:21 UTC
(In reply to Petr Pisar from comment #3)
> (In reply to Karsten Hopp from comment #2)
> > After a second look, this module doesn't make much sense to me. autoconf
> > belongs in the autotools module:
> 
> What If I claim it does not?

Because automake needs autoconf at run-time, I can see the reason for having the two in one module. I'm curious what stream identifier you assign after abandoning the Fedora release numbering (f27). I guess Automake varsion will be there, but still it looks odd to me.

Comment 6 Karsten Hopp 2017-08-31 15:25:20 UTC
fedrepo-req requires a certain format for the bugzilla title. Fixing....

Comment 7 Petr Pisar 2017-09-01 14:23:12 UTC
Autoconf package will be provided by autotools module (bug #1487508).


Note You need to log in before you can comment on or make changes to this bug.